package com.gic.haoban.manage.service.dao.mapper.moment;

import com.gic.haoban.manage.api.dto.moment.QwMomentPlanAttendDTO;
import com.gic.haoban.manage.api.dto.moment.TaskDetailDTO;
import com.gic.haoban.manage.api.dto.moment.TaskListWxaDTO;
import com.gic.haoban.manage.api.qdto.moment.PlanClerkListQDTO;
import com.gic.haoban.manage.api.qdto.moment.TaskListWxaQDTO;
import com.gic.haoban.manage.service.entity.moment.TabQwMomentPlanAttend;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

public interface QwMomentPlanAttendMapper {

    void batchInsert(List<TabQwMomentPlanAttend> list) ;

    /**
     * 查询已经存在的导购
     * @param planId
     * @param clerkIdList
     * @return
     */
    List<String> listExistClerkIds(@Param("planId") Long planId , @Param("list") List<String> clerkIdList) ;

    List<QwMomentPlanAttendDTO> listClerk(@Param("planId")Long planId);


    /**
     * 删除
     * @param planId
     * @param clerkIdList
     */
    void delClerks(@Param("planId") Long planId , @Param("list") List<String> clerkIdList) ;

    List<QwMomentPlanAttendDTO> list(PlanClerkListQDTO qdto);

    TaskDetailDTO taskDetail(@Param("planId") Long planId, @Param("clerkId") String execClerkId);

    List<TaskListWxaDTO> taskListWxa(TaskListWxaQDTO qdto);

    void finishTask(@Param("planId")Long attendId, @Param("sendTime")Date sendTime);
}
